local SheepCheese = ...

-- Register model for stocking asset
SheepCheese:registerAssetId("models/jar.fbx/Prefab/jar","MY_JAR")

SheepCheese:registerPrefabComponent("models/jar.fbx/Prefab/jar", {
	DataType = "COMP_GROUNDED"
})

-- Register image assets
SheepCheese:registerAssetId("icons/sheepMilk.png", "ICON_SHEEP_DAIRY_MILK")

SheepCheese:register({
	DataType = "RESOURCE",
	Id = "SHEEP_DAIRY_MILK",
	ResourceName = "SHEEP_DAIRY_MILK",
	Icon = "ICON_SHEEP_DAIRY_MILK",
	ResourceTypeList = { "FOOD" },
	IsTradable = true,
        ResourceLayoutType = "OPEN_BAGS",
        Prefab = "MY_JAR",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 2 }
})
